%define name	digikam-plugins
%define version 0.6.0
%define release 1mdk

Summary: 		Digikam Plugins package
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		%name-0.6.tar.bz2
Group: 			Graphics
License: 		GPL
URL: 			http://digikam.sourceforge.net/
Requires: 		digikam
BuildRequires:          digikam >= 0.6-0
Requires:		ImageMagick >= 5.5.4
Requires:		mjpegtools >= 1.6.0
Requires:		dcraw
BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.
The plugins included in this package are :
scanimages
cdarchiving
imagesgallery
mpegencoder
printwizard
rawconverter
slideshow
commentseditor
jpeglossless
sendimages
calendar
gammacorrection
batchprocessimages
miscoperations

%prep 

%setup -n digikam-plugins-0.6
rm -rf "$RPM_BUILD_ROOT"

%build -n digikam-plugins-%{version}
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export WANT_AUTOCONF_2_5=1

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=%_libdir/qt3 \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir

%make

%install
make DESTDIR=%buildroot install

%find_lang digikamplugin --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f digikamplugin.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO
%_bindir/*
%_datadir/services/*
%_datadir/apps/digikam/plugins
%_datadir/apps/digikam/icons/hicolor/22x22/actions/*.png
%_datadir/apps/digikam/icons/hicolor/32x32/actions/*.png
%_datadir/apps/digikam/data
%_datadir/apps/digikam/*.png
%_libdir/kde3/*
%_mandir/man1/*

%changelog
* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- user find lang macro
- from Arnaud de Villele <arnorpm@free.fr> :
	- Original release
